import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:mc_common_app/extensions/int_extensions.dart';
import 'package:mc_common_app/extensions/string_extensions.dart';
import 'package:mc_common_app/generated/locale_keys.g.dart';
import 'package:mc_common_app/theme/colors.dart';
import 'package:mc_common_app/widgets/button/show_fill_button.dart';
import 'package:mc_common_app/widgets/extensions/extensions_widget.dart';

class ConfirmDialog extends StatelessWidget {
  final String? title;
  final String message;
  final String? okTitle;
  final VoidCallback? onTap;
  final VoidCallback? onCloseTap;

  const ConfirmDialog({Key? key, this.title, required this.message, this.okTitle, this.onTap, this.onCloseTap}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Dialog(
      backgroundColor: Colors.white,
      shape: const RoundedRectangleBorder(),
      insetPadding: const EdgeInsets.only(left: 21, right: 21),
      child: Padding(
        padding: const EdgeInsets.only(left: 20, right: 20, top: 18, bottom: 28),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: [
            Row(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Expanded(
                  child: Text(
                    title ?? LocaleKeys.confirm.tr(),
                    style: const TextStyle(fontSize: 24, fontWeight: FontWeight.w600, color: MyColors.darkTextColor, height: 35 / 24, letterSpacing: -0.96),
                  ).paddingOnly(top: 16),
                ),
                IconButton(
                  padding: EdgeInsets.zero,
                  icon: const Icon(Icons.close),
                  color: MyColors.darkTextColor,
                  constraints: const BoxConstraints(),
                  onPressed: () => onCloseTap ?? Navigator.pop(context),
                  // onPressed: () => Navigator.pop(context),
                )
              ],
            ),
            message.toText(fontSize: 18, color: MyColors.lightTextColor),
            28.height,
            Row(
              children: [
                Expanded(
                  child: ShowFillButton(
                    title: okTitle ?? "OK",
                    onPressed: onTap ?? () => Navigator.pop(context),
                  ),
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
